Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QRadialGradient

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QGradient
                  com.trolltech.qt.gui.QRadialGradient

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QRadialGradient

extends QGradient
implements java.lang.Cloneable

The `QRadialGradient` class is used in combination with `QBrush` to specify a radial gradient brush. Radial gradients interpolate colors between a focal point and end points on a circle surrounding it. Outside the end points the gradient is either padded, reflected or repeated depending on the currently set `spread` method:

`PadSpread` (default) | `ReflectSpread` | `RepeatSpread`

The colors in a gradient is defined using stop points of the QGradientStop type, i.e. a position and a color. Use the `QGradient::setColorAt()` or the `QGradient::setStops()` function to define the stop points. It is the gradient's complete set of stop points that describes how the gradient area should be filled. If no stop points have been specified, a gradient of black at 0 to white at 1 is used.

In addition to the functions inherited from `QGradient`, the `QRadialGradient` class provides the `center()`, `focalPoint()` and `radius()` functions returning the gradient's center, focal point and radius respectively.

See also:
  `QLinearGradient`, `QConicalGradient`, and The Gradients Demo.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QGradient
`QGradient.CoordinateMode, QGradient.Spread, QGradient.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QRadialGradient()` Constructs a radial gradient with the center and focal point at (0, 0) with a radius of 1.
`QRadialGradient(double cx, double cy, double radius)` Constructs a radial gradient with the center at (`cx`, `cy`) and the specified `radius`.
`QRadialGradient(double cx, double cy, double radius, double fx, double fy)` Constructs a radial gradient with the given center (`cx`, `cy`), `radius` and focal point (`fx`, `fy`).
`QRadialGradient(QPointF center, double radius)` Constructs a radial gradient with the given `center`, `radius` and the focal point in the circle center.
`QRadialGradient(QPointF center, double radius, QPointF focalPoint)` Constructs a radial gradient with the given `center`, `radius` and `focalPoint`.

Method Summary
`QPointF` | `center()` Returns the center of this radial gradient in logical coordinates.
`QRadialGradient` | `clone()` This method is reimplemented for internal reasons
`QPointF` | `focalPoint()` Returns the focal point of this radial gradient in logical coordinates.
`static QRadialGradient` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QRadialGradient instance pointed to by `nativePointer`.
`static QNativePointer` | `nativePointerArray(QRadialGradient[] array)` This function returns a QNativePointer that is pointing to the specified QRadialGradient array.
`double` | `radius()` Returns the radius of this radial gradient in logical coordinates.
`void` | `setCenter(double x, double y)` Sets the center of this radial gradient in logical coordinates to (`x`, `y`).
`void` | `setCenter(QPointF center)` Sets the center of this radial gradient in logical coordinates to `center`.
`void` | `setFocalPoint(double x, double y)` Sets the focal point of this radial gradient in logical coordinates to (`x`, `y`).
`void` | `setFocalPoint(QPointF focalPoint)` Sets the focal point of this radial gradient in logical coordinates to `focalPoint`.
`void` | `setRadius(double radius)` Sets the radius of this radial gradient in logical coordinates to `radius`

Methods inherited from class com.trolltech.qt.gui.QGradient
`coordinateMode, nativePointerArray, setColorAt, setCoordinateMode, setSpread, setStops, spread, stops, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QRadialGradient

    public QRadialGradient()

  Constructs a radial gradient with the center and focal point at (0, 0) with a radius of 1.

### QRadialGradient

    public QRadialGradient(QPointF center,
                           double radius)

  Constructs a radial gradient with the given `center`, `radius` and the focal point in the circle center.

See also:
  `QGradient::setColorAt()`, and `QGradient::setStops()`.

### QRadialGradient

    public QRadialGradient(QPointF center,
                           double radius,
                           QPointF focalPoint)

  Constructs a radial gradient with the given `center`, `radius` and `focalPoint`.

See also:
  `QGradient::setColorAt()`, and `QGradient::setStops()`.

### QRadialGradient

    public QRadialGradient(double cx,
                           double cy,
                           double radius)

  Constructs a radial gradient with the center at (`cx`, `cy`) and the specified `radius`. The focal point lies at the center of the circle.

See also:
  `QGradient::setColorAt()`, and `QGradient::setStops()`.

### QRadialGradient

    public QRadialGradient(double cx,
                           double cy,
                           double radius,
                           double fx,
                           double fy)

  Constructs a radial gradient with the given center (`cx`, `cy`), `radius` and focal point (`fx`, `fy`).

See also:
  `QGradient::setColorAt()`, and `QGradient::setStops()`.

Method Detail

### center

    public final QPointF center()

  Returns the center of this radial gradient in logical coordinates.

See also:
  `setCenter()`, and `QGradient::stops()`.

### focalPoint

    public final QPointF focalPoint()

  Returns the focal point of this radial gradient in logical coordinates.

See also:
  `setFocalPoint()`, and `QGradient::stops()`.

### radius

    public final double radius()

  Returns the radius of this radial gradient in logical coordinates.

See also:
  `setRadius()`, and `QGradient::stops()`.

### setCenter

    public final void setCenter(QPointF center)

  Sets the center of this radial gradient in logical coordinates to `center`.

See also:
  `center()`.

### setCenter

    public final void setCenter(double x,
                                double y)

  Sets the center of this radial gradient in logical coordinates to (`x`, `y`).

See also:
  `center()`.

### setFocalPoint

    public final void setFocalPoint(QPointF focalPoint)

  Sets the focal point of this radial gradient in logical coordinates to `focalPoint`.

See also:
  `focalPoint()`.

### setFocalPoint

    public final void setFocalPoint(double x,
                                    double y)

  Sets the focal point of this radial gradient in logical coordinates to (`x`, `y`).

See also:
  `focalPoint()`.

### setRadius

    public final void setRadius(double radius)

  Sets the radius of this radial gradient in logical coordinates to `radius`

See also.
  `radius()`.

### fromNativePointer

    public static QRadialGradient fromNativePointer(QNativePointer nativePointer)

  This method returns the QRadialGradient instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QRadialGradient[] array)

  This function returns a QNativePointer that is pointing to the specified QRadialGradient array.

### clone

    public QRadialGradient clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QGradient`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD